OpenNMS API 1.2.9

## org.opennms.web.map
Class SVGServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.map.SVGServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SVGServlet
extends javax.servlet.http.HttpServlet

This class should be called from inside of an tag. We generate and emit an SVG document of the tree map of nodes. (this used to be svg.jsp but it's neater to put it into a servlet where it really belongs.

Author:
  Derek Glidden, NKSi
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`SVGServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGServlet

    public SVGServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.